<?php

function enamag_custom_controls($wp_customize) {


/**
 * Multiple select customize control class.
 **/
class Enamag_multiple_Select_Control extends WP_Customize_Control {

    public $type = 'multiple-select';

    public function render_content() {

      if ( empty( $this->choices ) )
        return;
      ?>
      <label>
        <span class="customize-control-title"><?php echo esc_html( $this->label ); ?></span>
        <select <?php $this->link(); ?> multiple="multiple" style="height: 100%;">
          <?php
          foreach ( $this->choices as $value => $label ) {
            $selected = ( in_array( $value, $this->value() ) ) ? selected( 1, 1, false ) : '';
            echo '<option value="' . esc_attr( $value ) . '"' . $selected . '>' . $label . '</option>';
          }
          ?>
        </select>
      </label>
      <?php }
    }

/**
 * Button simple customize control class.
 **/
class Enamag_button_Control extends WP_Customize_Control {

  public $type = 'button';

  public function render_content() {
    ?>
    <label>
      <span class="customize-control-title"><?php echo esc_html( $this->label ); ?></span>
      <a  class="button button-primary buttonactive"><?php _e('Edit', 'enamag') ?></a>
    </label>
    <?php
  }
}

/**
 * Radio image customize control class.
 **/
class Enamag_Radio_Image_Control extends WP_Customize_Control {

  public $type = 'radio-image';

  public function enqueue() {
    wp_enqueue_script( 'jquery-ui-button' );
  }


    public function render_content() {
      if ( empty( $this->choices ) ) {
        return;
      }     
      
      $name = '_customize-radio-' . $this->id;
      ?>
      <span class="customize-control-title">
        <?php echo esc_attr( $this->label ); ?>
        <?php if ( ! empty( $this->description ) ) : ?>
          <span class="description customize-control-description"><?php echo esc_html( $this->description ); ?></span>
        <?php endif; ?>
      </span>
      <div id="input_<?php echo $this->id; ?>" class="image">
        <?php foreach ( $this->choices as $value => $label ) : ?>
          <input class="image-select" type="radio" value="<?php echo esc_attr( $value ); ?>" id="<?php echo $this->id . $value; ?>" name="<?php echo esc_attr( $name ); ?>" <?php $this->link(); checked( $this->value(), $value ); ?>>
          <label for="<?php echo $this->id . $value; ?>">
            <img src="<?php echo esc_html( $label ); ?>" alt="<?php echo esc_attr( $value ); ?>" title="<?php echo esc_attr( $value ); ?>">
          </label>
        </input>
      <?php endforeach; ?>
    </div>
    <script>jQuery(document).ready(function($) { $( '[id="input_<?php echo $this->id; ?>"]' ).buttonset(); });</script>
    <?php
  }
}

}

add_action( 'customize_register', 'enamag_custom_controls');
