<?php

//include Awesome fonts
include_once ( get_template_directory() . '/functions/ena-awesome-icons.php' );
include_once ( get_template_directory() . '/options/ena-theme-style.php' );
include_once ( get_template_directory() . '/options/ena-post-settings.php' );
require_once ( get_template_directory() . '/functions/wp_bootstrap_navwalker.php' );
// Theme Options
include_once( get_template_directory() .'/functions/customizer/ena-custom-control.php' );

//Customizer additions.
require get_template_directory() . '/inc/ena-customizer.php';

//////////////////////////////////////////////////////////////////////////////
// Fetch categories
//////////////////////////////////////////////////////////////////////////////
function enamag_fetch_cats() {
  $categories = get_categories( 'orderby=name' );
  $all_cats = array();
  foreach($categories as $category_item)
  {
    $all_cats[$category_item->cat_ID] = $category_item->cat_name;
  }
  return $all_cats;
}

//////////////////////////////////////////////////////////////////////////////
// Fetch posts
//////////////////////////////////////////////////////////////////////////////
function enamag_fetch_posts() {
  global $post; 
  $args = array( 'numberposts' => 200 );
  $pop = array();
  $myposts = get_posts( $args );
  foreach ($myposts as $post): setup_postdata( $post );
    $pop[$post->ID] = get_the_title( $post->ID );
  endforeach;
  return $pop;
}

//////////////////////////////////////////////////////////////////////////////
// Custom logo
//////////////////////////////////////////////////////////////////////////////
function enamag_custom_logo() {
  if ( function_exists( 'the_custom_logo' ) ) {
    the_custom_logo();
  }
}

//////////////////////////////////////////////////////////////////////////////
// Sidebar Function
//////////////////////////////////////////////////////////////////////////////
function enamag_sidebar() {
  echo ' <div id="mainSideBar" class="sideBars ">';
  if ( is_active_sidebar( 'primary-sidbar' ) ) :dynamic_sidebar( 'primary-sidbar' ); endif;
  echo '</div><div class="clear"></div></div>'; //#sideBar #main
}

//////////////////////////////////////////////////////////////////////////////
// Post meta
//////////////////////////////////////////////////////////////////////////////

function enamag_post_meta(){
  $separator = ' <span class="separator">|</span> ';
  $output = '';
    $output .=$separator;
    $output .= '<i class="fa fa-clock-o">'.get_the_time( "F j, Y" ).'</i>';
    $output .=$separator;
    $output .= '<i class="fa fa-user">'.get_the_author().'</i>';
    echo $output;
    echo $separator.'<i class="fa fa-comments-o">';
    comments_popup_link( "0","1","%","","0" );
    echo  "</i>";
}

//////////////////////////////////////////////////////////////////////////////
// Required plugins
//////////////////////////////////////////////////////////////////////////////
require_once ( get_template_directory() . '/options/plugins/class-tgm-plugin-activation.php' );

add_action( 'tgmpa_register', 'enamag_register_required_plugins' );

function enamag_register_required_plugins() {
  /*
   * Array of plugin arrays. Required keys are name and slug.
   * If the source is NOT from the .org repo, then source is also required.
   */
     $plugins = array(
    array(
        'name'               => 'Bootstrap 3 Shortcodes',
        'slug'               => 'bootstrap-3-shortcodes',
        'required'           => false, // this plugin is required
        'force_activation'   => false, // this plugin is going to stay activated unless the user switches to another theme
    ),
     array(
        'name'               => 'TinyMCE Advanced',
        'slug'               => 'tinymce-advanced',
        'required'           => false, // this plugin is required
        'force_activation'   => false, // this plugin is going to stay activated unless the user switches to another theme
    ),
     array(
        'name'               => 'Regenerate Thumbnails',
        'slug'               => 'regenerate-thumbnails',
        'required'           => false, // this plugin is required
        'force_activation'   => false, // this plugin is going to stay activated unless the user switches to another theme
    ),
     
);

  /*
   * Array of configuration settings. Amend each line as needed.
   *
   * TGMPA will start providing localized text strings soon. If you already have translations of our standard
   * strings available, please help us make TGMPA even better by giving us access to these translations or by
   * sending in a pull-request with .po file(s) with the translations.
   *
   * Only uncomment the strings in the config array if you want to customize the strings.
   */
  $config = array(
    'id'           => 'enamag',                 // Unique ID for hashing notices for multiple instances of TGMPA.
    'default_path' => '',                      // Default absolute path to bundled plugins.
    'menu'         => 'tgmpa-install-plugins', // Menu slug.
    'has_notices'  => true,                    // Show admin notices or not.
    'dismissable'  => true,                    // If false, a user cannot dismiss the nag message.
    'dismiss_msg'  => '',                      // If 'dismissable' is false, this message will be output at top of nag.
    'is_automatic' => false,                   // Automatically activate plugins after installation or not.
    'message'      => '',                      // Message to output right before the plugins table.

  );

  tgmpa( $plugins, $config );
}

//////////////////////////////////////////////////////////////////////////////
// Excerpt Functions
//////////////////////////////////////////////////////////////////////////////
/**
 * Filter the "read more" excerpt string link to the post.
 *
 * @param string $more "Read more" excerpt string.
 * @return string (Maybe) modified "read more" excerpt string.
 */
function enamag_excerpt_more( $more ) {
    return sprintf( '...<a class="more" href="%1$s">%2$s</a>',
        get_permalink( get_the_ID() ),
        __( 'Read More', 'enamag' )
    );
}
add_filter( 'excerpt_more', 'enamag_excerpt_more' );

/**
 * Filter the except length to 25 characters.
 *
 * @param int $length Excerpt length.
 * @return int (Maybe) modified excerpt length.
 */
function enamag_excerpt_length( $length ) {
    return 25;
}
add_filter( 'excerpt_length', 'enamag_excerpt_length', 999 );

//////////////////////////////////////////////////////////////////////////////
// Empty content
//////////////////////////////////////////////////////////////////////////////
function enamag_empty_content( $str ) {
    return trim( str_replace( '&nbsp;','',strip_tags( $str ) ) ) == '';
}

//////////////////////////////////////////////////////////////////////////////
// widget ajax function
//////////////////////////////////////////////////////////////////////////////
function enamag_get_post_spec() {

$args = array(
    'posts_per_page'=> '1', 
    'post_status'     => 'publish',
    'p' =>$_POST['postId'],
  );

// The Query
$the_query = new WP_Query( $args );

  if( $the_query->have_posts() ):
  while ( $the_query->have_posts() ) : $the_query->the_post();?>

<div class="primaryPost">
 <div class="excerpt-img">
      <a href='<?php the_permalink(); ?>' title='<?php the_title_attribute(); ?>' >
        <?php the_post_thumbnail('enamag-widget'); ?>
      </a>
        <a href="<?php the_post_thumbnail_url(); ?>" class="prettyPhoto" title="<?php the_title_attribute(); ?>" >
        <div class="tumbOptions magOpacity">
        <span class='fa fa-arrows-alt'></span></div>
      </a>
   </div>
      <div class="post-contentPrimary">

      <?php
      the_title( '<h2 class="post-titlePrimary"><a href="' . esc_url( get_permalink() ) . '">', '</a></h2>' );
      ?>

      <span class="box-meta">

       <?php enamag_post_meta(); ?>

      </span>
    </div>

      <?php the_excerpt(); ?>   

</div>

  <?php 
  endwhile; 
  endif;
  wp_reset_postdata();
  die();

}

add_action('wp_ajax_and_actionn', 'enamag_get_post_spec');
add_action('wp_ajax_nopriv_and_actionn', 'enamag_get_post_spec');

function enamag_thumb_widget() { ?>

<script type="text/javascript">

  jQuery(document).ready(function() {
    var busy = false;

jQuery( '.miniBoxWrap > li' ).bind( 'click', function(event) {
  var postID = jQuery( this ).attr( 'id' );
  postID = postID.split( "-" ).pop();
  var idName = jQuery( this ).parents( ".mag-widget" ).attr( 'id' );
  var cible = '#'+idName+' .'+'primaryPost';
  var busy = true;
  jQuery('#'+idName+' .'+'excerpt-img').addClass("carico");
  jQuery('#'+idName+' .'+'primaryPost').css(' opacity','0.2');
  jQuery.post('<?php echo esc_url( home_url( '/' ) ); ?>/wp-admin/admin-ajax.php', {
    action: 'and_actionn',
    postId: postID,
  }, function(data) {
if( data == "" ) {  //Nel caso non ci siano articoli da caricare
  alert ( __( 'No Posts Found', 'enamag' ) );
}
else {
  jQuery( cible ).replaceWith( data ); 
  jQuery( '#mainSideBar,#mainContent' ).masonry('reload');
  if (jQuery(window).width() > 700) {
  jQuery("a[class^='prettyPhoto']").prettyPhoto({social_tools:''});
}
  jQuery( '.excerpt-img' ).hover( function() {
    jQuery( this ).find( '.tumbOptions' ).css( 'opacity','1' );
  }, function() {
    jQuery( this ).find( '.tumbOptions' ).css( 'opacity','0.24' );
  });
}
});
 });
  });

</script>

<?php } 

add_filter( 'wp_footer', 'enamag_thumb_widget' );

//////////////////////////////////////////////////////////////////////////////
// Add color picker to widgets
//////////////////////////////////////////////////////////////////////////////
function enqueue_scripts( $hook_suffix ) {
    if ( 'widgets.php' !== $hook_suffix ) {
      return;
    }

    wp_enqueue_style( 'wp-color-picker' );
    wp_enqueue_script( 'wp-color-picker' );

  }
add_action( 'admin_enqueue_scripts',  'enqueue_scripts'  );

function enamag_colorPicker_hook() {
    ?>
    <script>
        ( function( $ ){
            function initColorPicker( widget ) {
                widget.find( '.color-picker' ).wpColorPicker( {
                    change: _.throttle( function() { // For Customizer
                        $(this).trigger( 'change' );
                    }, 3000 )
                });
            }

            function onFormUpdate( event, widget ) {
                initColorPicker( widget );
            }

            $( document ).on( 'widget-added widget-updated', onFormUpdate );

            $( document ).ready( function() {
                $( '#widgets-right .widget:has(.color-picker)' ).each( function () {
                    initColorPicker( $( this ) );
                } );
            } );
        }( jQuery ) );
    </script>
    <?php
}
// Hook Color Picker
add_action( 'admin_footer-widgets.php',  'enamag_colorPicker_hook' , 9999 ); 