<?php
/**
 * enamag Theme Customizer.
 *
 * @package enamag
 */

/**
 * Add postMessage support for site title and description for the Theme Customizer.
 *
 * @param WP_Customize_Manager $wp_customize Theme Customizer object.
 */
function enamag_customize_register( $wp_customize ) {
	$wp_customize->get_setting( 'blogname' )->transport         = 'postMessage';
	$wp_customize->get_setting( 'blogdescription' )->transport  = 'postMessage';
	$wp_customize->get_setting( 'header_textcolor' )->transport = 'postMessage';
	$wp_customize->get_setting( 'custom_logo' )->transport = 'refresh';

	// Add Sections
	$wp_customize->add_section( 'title_tagline' , array(
		'title'		=> __( 'Site Logo & Icon', 'enamag' ),
		'priority'	=> 10,
	) );

	$wp_customize->add_section( 'enamag_section_general' , array(
   		'title'      => __( 'General Options', 'enamag' ),
   		'description'=> '',
   		'priority'   => 20,
	) );

	$wp_customize->add_section( 'background_image' , array(
		'title'		=> __( 'Custom Backgrounds', 'enamag' ),
		'priority'	=> 30,
	) );

	$wp_customize->add_section( 'enamag_section_header' , array(
   		'title'      => __( 'Header Settings', 'enamag' ),
   		'description'=> '',
   		'priority'   => 40,
	) );

	$wp_customize->add_section( 'enamag_section_footer' , array(
   		'title'      => __( 'Footer Settings', 'enamag' ),
   		'description'=> '',
   		'priority'   => 50,
	) );

	// $wp_customize->add_section( 'enamag_section_homepage' , array(
 //   		'title'      => __( 'Homepage Layout', 'enamag' ),
 //   		'description'=> '',
 //   		'priority'   => 60,
	// ) );

	$wp_customize->add_section( 'enamag_section_tile' , array(
   		'title'      => __( 'Tile Settings', 'enamag' ),
   		'description'=> '',
   		'priority'   => 70,
	) );

	$wp_customize->add_section( 'enamag_section_slider' , array(
   		'title'      => __( 'Slider Settings', 'enamag' ),
   		'description'=> '',
   		'priority'   => 80,
	) );

	$wp_customize->add_section( 'menu_colors' , array(
		'title'		=> __( 'Menu Colors', 'enamag' ),
		'priority'	=> 100,
	) );

	$wp_customize->add_section( 'enamag_section_customCss' , array(
   		'title'      => __( 'Custom Css', 'enamag' ),
   		'description'=> __( 'Add your custom CSS, The code will be printed in to the head section.', 'enamag' ),
   		'priority'   => 110,
	) );

	$wp_customize->add_section( 'enamag_section_ads' , array(
   		'title'      => __( 'Ads Manager', 'enamag' ),
   		'description'=> '',
   		'priority'   => 120,
	) );

	// Add Setting

		// General
		$wp_customize->add_setting(
			'ena_boxed',
			array(
				'default' => true,
				'sanitize_callback' => 'sanitize_checkbox'

			)
		);

		$wp_customize->add_setting(
			'ena_themeColor',
			array(
				'default'=>'#dd3333',
				'sanitize_callback' => 'sanitize_colorPicker'

			)
		);

		// header image
		$wp_customize->add_setting(
      		'background_pattern',
			array(
				'default'=>'',
				'sanitize_callback' => 'sanitize_choices'

			)
    	);

		// Header
		$wp_customize->add_setting(
			'ena_news',
			array(
				'default'=>'',
				'sanitize_callback' => 'sanitize_checkbox'

			)
		);

		$wp_customize->add_setting(
			'ena_catnews',
			array(
				'default'=>'',
				'sanitize_callback' => 'sanitize_multi_select'

			)
		);

		$wp_customize->add_setting(
			'ena_news_anim_effect',
			array(
				'default'=>'',
				'sanitize_callback' => 'sanitize_choices'

			)
		);

		$wp_customize->add_setting(
			'ena_news_speed',
			array(
				'default'=>'',
				'sanitize_callback' => 'absint'

			)
		);

		$wp_customize->add_setting(
			'ena_news_trans_timeout',
			array(
				'default'=>'',
				'sanitize_callback' => 'absint'

			)
		);

		//Footer
		$wp_customize->add_setting(
			'ena_footer',
			array(
				'default'=>'',
				'sanitize_callback' => 'sanitize_checkbox'

			)
		);

		$wp_customize->add_setting(
			'ena_footerBg',
			array(
				'default' => '#333',
				'sanitize_callback' => 'sanitize_colorPicker'

			)
		);

		$wp_customize->add_setting(
			'ena_copyright',
			array(
				'default' => '',
				'sanitize_callback' => 'sanitize_checkbox'

			)
		);

		$wp_customize->add_setting(
			'ena_copyrightBg',
			array(
				'default'=>'',
				'sanitize_callback' => 'sanitize_colorPicker'

			)
		);

		$wp_customize->add_setting(
			'ena_copyrightText',
			array(
				'default' => "",
				'sanitize_callback' => 'wp_kses_post',

			)
		);

		// $wp_customize->add_setting(
		// 	'ena_homepage_sidebar',
		// 	array(
		// 		'default'=>'right',
		// 		'sanitize_callback' => 'sanitize_choices'

		// 	)
		// );

		for ( $i=1; $i <7 ; $i++ ) {

	        $tiles_color = array('#1691BE','#166ba2','#166ba2','#D06503','#FF9308','#E9931A');

			$wp_customize->add_setting(
					'ena_cbox'.$i,
				array(
					'default' => $tiles_color[$i-1],
					'sanitize_callback' => 'sanitize_colorPicker'

				)
			);
	   }

		$wp_customize->add_setting(
			'ena_tile_iconColor',
			array(
				'default' => '#FFF',
				'sanitize_callback' => 'sanitize_colorPicker'

			)
		);

		//slider
		$wp_customize->add_setting(
			'ena_slider_source',
	        array(
	            'default'  => 'category',
	            'sanitize_callback' => 'sanitize_choices'
	        )
		);

		$wp_customize->add_setting(
			'ena_slider_cat',
			array(
				'default'=>'',
				'sanitize_callback' => 'sanitize_multi_select'

			)
		);

		$wp_customize->add_setting(
			'ena_slider_posts',
			array(
				'default'=>'',
				'sanitize_callback' => 'sanitize_multi_select'

			)
		);

		$wp_customize->add_setting(
			'ena_slider_custom',
			array(
				'default'=>'',
				'sanitize_callback' => 'sanitize_choices'

			)
		);

		$wp_customize->add_setting(
			'ena_slider_dim',
			array(
				'default'=>'small',
				'sanitize_callback' => 'sanitize_choices'

			)
		);

		$wp_customize->add_setting(
			'ena_slider_anim',
			array(
				'default'=>'fade',
				'sanitize_callback' => 'sanitize_choices'

			)
		);

		$wp_customize->add_setting(
			'ena_slider_bgImg',
			array(
				'default'=>'',
				'sanitize_callback' => 'esc_url'

			)
		);

		$wp_customize->add_setting(
			'ena_slider_bgColor',
			array(
				'default'=>'',
				'sanitize_callback' => 'sanitize_colorPicker'

			)
		);

		$wp_customize->add_setting(
			'ena_slider_captionColor',
			array(
				'default'=>'',
				'sanitize_callback' => 'sanitize_colorPicker'

			)
		);

		$wp_customize->add_setting(
			'ena_slider_captionBgColor',
			array(
				'default'=>'',
				'sanitize_callback' => 'sanitize_colorPicker'

			)
		);

		$wp_customize->add_setting(
			'ena_customCss',
			array(
				'sanitize_callback'    => 'wp_filter_nohtml_kses',
				'sanitize_js_callback' => 'wp_filter_nohtml_kses'
			)
		);

		$wp_customize->add_setting(
			'ena_headerAds',
			array(
				'default'=>'',
				'sanitize_callback' => 'wp_kses_post'
			)
		);

		$wp_customize->add_setting(
			'ena_footerAds',
			array(
				'default'=>'',
				'sanitize_callback' => 'wp_kses_post'
			)
		);

		$wp_customize->add_setting(
			'menu_bgColor',
			array(
				'default'=>'',
				'sanitize_callback' => 'sanitize_colorPicker'
			)
		);

		$wp_customize->add_setting(
			'megamenu_title_color',
			array(
				'default'=>'',
				'sanitize_callback' => 'sanitize_colorPicker'
			)
		);

		$wp_customize->add_setting(
			'menu_color',
			array(
				'default'=>'',
				'sanitize_callback' => 'sanitize_colorPicker'
			)
		);

		$wp_customize->add_setting(
			'menu_hover_color',
			array(
				'default'=>'',
				'sanitize_callback' => 'sanitize_colorPicker'
			)
		);

			$wp_customize->add_setting(
			'menu_dropdown_bgColor',
			array(
				'default'=>'',
				'sanitize_callback' => 'sanitize_colorPicker'
			)
		);


	// Add Control
	
		// General
		$wp_customize->add_control(
			new WP_Customize_Control(
				$wp_customize,
				'ena_boxed',
				array(
					'label'      => __( 'Boxed Layout', 'enamag' ),
					'section'    => 'enamag_section_general',
					'settings'   => 'ena_boxed',
					'type'		 =>'checkbox',
					'priority'	 => 2
				)
			)
		);

		$wp_customize->add_control(
			new WP_Customize_Color_Control(
				$wp_customize,
				'ena_themeColor',
				array(
					'label'      => __( 'Theme Color', 'enamag' ),
					'section'    => 'enamag_section_general',
					'settings'   => 'ena_themeColor',
					'priority'	 => 4
				)
			)
		);

	// Header
		$wp_customize->add_control(
			new WP_Customize_Control(
				$wp_customize,
				'ena_news',
				array(
					'label'      => __( 'Enable News', 'enamag' ),
					'section'    => 'enamag_section_header',
					'settings'   => 'ena_news',
					'type'		 =>'checkbox',
					'priority'	 => 2
				)
			)
		);

		$wp_customize->add_control(
			new Enamag_multiple_Select_Control(
				$wp_customize,
				'ena_catnews',
				array(
					'label'      => __( 'Select Category News', 'enamag' ),
					'section'    => 'enamag_section_header',
					'settings'   => 'ena_catnews',
					'priority'	 => 3,
					'choices'    => enamag_fetch_cats()
				)
			)
		);

		$wp_customize->add_control(
			new WP_Customize_Control(
				$wp_customize,
				'ena_news_anim_effect',
				array(
					'label'      => __( 'News Animation Effect', 'enamag' ),
					'section'    => 'enamag_section_header',
					'settings'   => 'ena_news_anim_effect',
					'type'		 =>'select',
					'priority'	 => 4,
					'choices'        => array(
						'fade'   => __( 'fade', 'enamag' ),
						'scrollLeft'  => __( 'scrollLeft', 'enamag' ),
						'scrollUp'  => __( 'scrollUp', 'enamag' ),
					)
				)
			)
		);

		$wp_customize->add_control(
			new  WP_Customize_Control(
				$wp_customize,
				'ena_news_speed',
				array(
					'label'      => __( 'Transition Speed', 'enamag' ),
					'section'    => 'enamag_section_header',
					'settings'   => 'ena_news_speed',
					'type'		 =>'range',
					'description' => __( 'The speed of the transition effect in milliseconds.', 'enamag' ),
					'input_attrs' => array(
				        'min'   => 100,
				        'max'   => 1000,
				        'step'  => 100,
				        'class' => '',
				        'style' => 'color: #0a0',
				    ),
					'priority'	 => 5
				)
			)
		);

		$wp_customize->add_control(
			new  WP_Customize_Control(
				$wp_customize,
				'ena_news_trans_timeout',
				array(
					'label'      => __( 'Transition Timeout', 'enamag' ),
					'section'    => 'enamag_section_header',
					'settings'   => 'ena_news_trans_timeout',
					'type'		 =>'range',
					'description' => __( 'The time between slide transitions in milliseconds.', 'enamag' ),
					'input_attrs' => array(
				        'min'   => 1000,
				        'max'   => 9000,
				        'step'  => 1000,
				        'class' => '',
				        'style' => 'color: #0a0',
				    ),
					'priority'	 => 6
				)
			)
		);
			//background image
		 $wp_customize->add_control(
		    new Enamag_Radio_Image_Control( 
			      $wp_customize,
			      'background_pattern',
			      array(
			        'settings'    => __( 'background_pattern', 'enamag' ),
			        'section'   => 'background_image',
			        'label'     => __( 'Blog Layout', 'enamag' ),
			        'description' => __( 'Select the layout for the blog.', 'enamag' ),
			        'choices'   => array(
				          'pattern0'    => get_template_directory_uri() . '/images/patterns/patterns_icons/pattern0.png',
				          'pattern1'   => get_template_directory_uri() . '/images/patterns/patterns_icons/pattern1.png',
				          'pattern2'  => get_template_directory_uri() . '/images/patterns/patterns_icons/pattern2.png',
				          'pattern3'    => get_template_directory_uri() . '/images/patterns/patterns_icons/pattern3.png'
			        )
			    )
			)
  		);

		// Footer
		$wp_customize->add_control(
			new WP_Customize_Control(
				$wp_customize,
				'ena_footer',
				array(
					'label'      => __( 'Enable Footer', 'enamag' ),
					'section'    => 'enamag_section_footer',
					'settings'   => 'ena_footer',
					'type'		 =>'checkbox',
					'priority'	 => 1
				)
			)
		);

		$wp_customize->add_control(
			new WP_Customize_Color_Control(
				$wp_customize,
				'ena_footerBg',
				array(
					'label'      => __( 'Background Color', 'enamag' ),
					'section'    => 'enamag_section_footer',
					'settings'   => 'ena_footerBg',
					'priority'	 => 2
				)
			)
		);

		$wp_customize->add_control(
			new WP_Customize_Control(
				$wp_customize,
				'ena_copyright',
				array(
					'label'      => __( 'Enable Copyright', 'enamag' ),
					'section'    => 'enamag_section_footer',
					'settings'   => 'ena_copyright',
					'type'		 =>'checkbox',
					'priority'	 => 3
				)
			)
		);

		$wp_customize->add_control(
			new WP_Customize_Color_Control(
				$wp_customize,
				'ena_copyrightBg',
				array(
					'label'      => __( 'Copyright Background Color', 'enamag' ),
					'section'    => 'enamag_section_footer',
					'settings'   => 'ena_copyrightBg',
					'default'	 => '#ddd',
					'priority'	 => 4
				)
			)
		);

		$wp_customize->add_control(
			new WP_Customize_Control(
				$wp_customize,
				'ena_copyrightText',
				array(
					'label'      => __( 'Footer Copyright Text', 'enamag' ),
					'section'    => 'enamag_section_footer',
					'settings'   => 'ena_copyrightText',
					'type'		 =>'textarea',
					'priority'	 => 3
				)
			)
		);

		// Home Page

		// $wp_customize->add_control(
		// 	new WP_Customize_Control(
		// 		$wp_customize,
		// 		'ena_homepage_sidebar',
		// 		array(
		// 			'label'      => __( 'Sidebar Position', 'enamag' ),
		// 			'section'    => 'enamag_section_homepage',
		// 			'settings'   => 'ena_homepage_sidebar',
		// 			'type'		 =>'radio',
		// 			'priority'	 => 4,
		// 			'choices'    => array(
		// 				'left'      => __( 'Left sidebar', 'enamag' ),
		// 				'right'  => __( 'Right sidebar', 'enamag' ),
		// 				'noSidebar'  => __( 'Full width', 'enamag' ),
		// 			)
		// 		)
		// 	)
		// );

        // Tile

		// Tile Options
		for ($i=1; $i <7 ; $i++) { 

			global $icons; 

			$wp_customize->add_setting(
					'ena_btnicon'.$i,
			array(
				'default'=>'',
				'sanitize_callback' => 'sanitize_checkbox'

				)
			);

			$wp_customize->add_setting(
				'ena_icon'.$i,
			array(
				'default' => "fa-adjust",
				'sanitize_callback' => 'sanitize_choices'

				)
		    );

			$wp_customize->add_setting(
				'ena_link'.$i,
			array(
				'default' => "",
				'sanitize_callback' => 'esc_url',
			
				)	
			);
			
			$wp_customize->add_control(
				new Enamag_button_Control(
					$wp_customize,
					'ena_btnicon'.$i,
					array(
						'label'      => __( 'Customize Tile ', 'enamag' ).$i,
						'section'    => 'enamag_section_tile',
						'settings'   => 'ena_btnicon'.$i,
						'type'       => 'select',
						'priority'	 => $i+1
					)
				)
			);

			$wp_customize->add_control(
				new WP_Customize_Color_Control(
					$wp_customize,
					'ena_cbox'.$i,
					array(
						'label'      => __( 'Tile Background Color', 'enamag' ),
						'section'    => 'enamag_section_tile',
						'settings'   => 'ena_cbox'.$i,
						'priority'	 => $i+1
					)
				)
			);

			$wp_customize->add_control(
				new WP_Customize_Control(
					$wp_customize,
					'ena_icon'.$i,
					array(
						'label'      => __( 'Select Icon', 'enamag' ),
						'section'    => 'enamag_section_tile',
						'settings'   => 'ena_icon'.$i,
						'type'       => 'select',
						'choices'     =>  $icons,
						'priority'	 => $i+1
					)
				)
			);

			$wp_customize->add_control(
				new WP_Customize_Control(
					$wp_customize,
					'ena_link'.$i,
					array(
						'label'      => __( 'Url / Link To', 'enamag' ),
						'section'    => 'enamag_section_tile',
						'settings'   => 'ena_link'.$i,
						'type'       => 'url',
						'priority'	 => $i+1
					)
				)
			);

		}	

			$wp_customize->add_control(
				new WP_Customize_Color_Control(
					$wp_customize,
					'ena_tile_iconColor',
					array(
						'label'      => __( 'Tile Icon Color', 'enamag' ),
						'section'    => 'enamag_section_tile',
						'settings'   => 'ena_tile_iconColor',
						'priority'	 => 49
					)
				)
			);

			// Slider
		$wp_customize->add_control(
			new WP_Customize_Control(
				$wp_customize,
				'ena_slider_source',
				array(
					'label'      => __( 'Slider Source', 'enamag' ),
					'section'    => 'enamag_section_slider',
					'settings'   => 'ena_slider_source',
					'type'		 =>'radio',
					'priority'	 => 1,
					'choices'    => array(
						'category'  => __( 'category', 'enamag' ),
						'post' 		=> __( 'post', 'enamag' ),
					)
				)
			)
		);

		$wp_customize->add_control(
			new Enamag_multiple_Select_Control(
				$wp_customize,
				'ena_slider_cat',
				array(
					'label'      => __( 'Select Slider Category', 'enamag' ),
					'section'    => 'enamag_section_slider',
					'settings'   => 'ena_slider_cat',
					'priority'	 => 2,
					'choices'    => enamag_fetch_cats()
				)
			)
		);

		$wp_customize->add_control(
			new Enamag_multiple_Select_Control(
				$wp_customize,
				'ena_slider_posts',
				array(
					'label'      => __( 'Select Slider Posts', 'enamag'),
					'section'    => 'enamag_section_slider',
					'settings'   => 'ena_slider_posts',
					'priority'	 => 3,
					'choices'    => enamag_fetch_posts()
				)
			)
		);

		$wp_customize->add_control(
			new WP_Customize_Control(
				$wp_customize,
				'ena_slider_dim',
				array(
					'label'      => __( 'Slider Dimension', 'enamag' ),
					'section'    => 'enamag_section_slider',
					'settings'   => 'ena_slider_dim',
					'type'		 =>'radio',
					'priority'	 => 5,
					'choices'    => array(
						'small' => __( 'Small Slider', 'enamag' ),
  						'big' => __( 'Big Slider', 'enamag' ),
					)
				)
			)
		);

		$wp_customize->add_control(
			new WP_Customize_Control(
				$wp_customize,
				'ena_slider_anim',
				array(
					'label'      => __( 'Slider Animation', 'enamag' ),
					'section'    => 'enamag_section_slider',
					'settings'   => 'ena_slider_anim',
					'type'		 =>'radio',
					'priority'	 => 6,
					'choices'    => array(
						'fade' => __( 'fade', 'enamag' ),
  						'slider' => __( 'slider', 'enamag' ),
					)
				)
			)
		);
		
		$wp_customize->add_control(
			new WP_Customize_Image_Control(
				$wp_customize,
				'ena_slider_bgImg',
				array(
					'label'      => __( 'Slider Background Image', 'enamag' ),
					'section'    => 'enamag_section_slider',
					'settings'   => 'ena_slider_bgImg',
					'priority'	 => 9
				)
			)
		);

		$wp_customize->add_control(
				new WP_Customize_Color_Control(
					$wp_customize,
					'ena_slider_bgColor',
					array(
						'label'      => __( 'Slider Background Color', 'enamag' ),
						'section'    => 'enamag_section_slider',
						'settings'   => 'ena_slider_bgColor',
						'priority'	 => 10
					)
				)
			);

		$wp_customize->add_control(
				new WP_Customize_Color_Control(
					$wp_customize,
					'ena_slider_captionColor',
					array(
						'label'      => __( 'Slider Caption Color', 'enamag' ),
						'section'    => 'enamag_section_slider',
						'settings'   => 'ena_slider_captionColor',
						'priority'	 => 11
					)
				)
			);

		$wp_customize->add_control(
				new WP_Customize_Color_Control(
					$wp_customize,
					'ena_slider_captionBgColor',
					array(
						'label'      => __( 'Caption Background Color', 'enamag' ),
						'section'    => 'enamag_section_slider',
						'settings'   => 'ena_slider_captionBgColor',
						'priority'	 => 12
					)
				)
			);

		$wp_customize->add_control(
			new WP_Customize_Control(
				$wp_customize,
				'ena_customCss',
				array(
					'label'      => __( 'Custom Css', 'enamag' ),
					'section'    => 'enamag_section_customCss',
					'settings'   => 'ena_customCss',
					'type'		 =>'textarea',
					'priority'	 => 1,
				)
			)
		);

		// Ads Manager
		$wp_customize->add_control(
			new WP_Customize_Control(
				$wp_customize,
				'ena_headerAds',
				array(
					'label'      => __( 'Header Advert', 'enamag' ),
					'section'    => 'enamag_section_ads',
					'settings'   => 'ena_headerAds',
					'type'		 =>'textarea',
					'priority'	 => 1,
					
				)
			)
		);

		$wp_customize->add_control(
			new WP_Customize_Control(
				$wp_customize,
				'ena_footerAds',
				array(
					'label'      => __( 'Footer Advert', 'enamag' ),
					'section'    => 'enamag_section_ads',
					'settings'   => 'ena_footerAds',
					'type'		 =>'textarea',
					'priority'	 => 2,
					
				)
			)
		);

		$wp_customize->add_control(
			new WP_Customize_Color_Control(
				$wp_customize,
				'menu_bgColor',
				array(
					'label'      => __( 'Menu Background Color', 'enamag' ),
					'section'    => 'menu_colors',
					'settings'   => 'menu_bgColor',
					'priority'	 => 1
				)
			)
		);

		$wp_customize->add_control(
			new WP_Customize_Color_Control(
				$wp_customize,
				'menu_dropdown_bgColor',
				array(
					'label'      => __( 'Second Level Background', 'enamag' ),
					'section'    => 'menu_colors',
					'settings'   => 'menu_dropdown_bgColor',
					'priority'	 => 2
				)
			)
		);

		$wp_customize->add_control(
			new WP_Customize_Color_Control(
				$wp_customize,
				'menu_color',
				array(
					'label'      => __( 'Text Color', 'enamag' ),
					'section'    => 'menu_colors',
					'settings'   => 'menu_color',
					'priority'	 => 3
				)
			)
		);

		$wp_customize->add_control(
			new WP_Customize_Color_Control(
				$wp_customize,
				'menu_hover_color',
				array(
					'label'      => __( 'Menu hover color', 'enamag' ),
					'section'    => 'menu_colors',
					'settings'   => 'menu_hover_color',
					'priority'	 => 4
				)
			)
		);

		$wp_customize->add_control(
			new WP_Customize_Color_Control(
				$wp_customize,
				'megamenu_title_color',
				array(
					'label'      => __( 'Megamenu title color', 'enamag' ),
					'section'    => 'menu_colors',
					'settings'   => 'megamenu_title_color',
					'priority'	 => 5
				)
			)
		);

	
	// remove controls panels and sections
	$wp_customize->remove_control( 'blogdescription' );
	$wp_customize->remove_section( 'colors' );
	$wp_customize->remove_section( 'header_image' );

}
add_action( 'customize_register', 'enamag_customize_register' );

/**
 * Binds JS handlers to make Theme Customizer preview reload changes asynchronously.
 */
function enamag_customize_preview_js() {
	
wp_enqueue_script( 'customizer-scriptv', get_stylesheet_directory_uri() . '/js/ena-customizer.js', array( 'customize-preview' ), '20130508', true  );

}
add_action( 'customize_preview_init', 'enamag_customize_preview_js' );

function enamag_customize_preview_css() {
	
wp_enqueue_script( 'my-customizer-script', get_stylesheet_directory_uri() . '/functions/customizer/js/ena-custom-control.js', array( 'customize-controls' ), '20130508', true  );
wp_enqueue_style( 'enamag_customizer_cs', get_template_directory_uri() . '/functions/customizer/css/ena-custom-control.css', array( 'customize-controls' ));

//Add Button Switch Assets

}
add_action( 'customize_controls_enqueue_scripts', 'enamag_customize_preview_css' );

//sanitize functions
function sanitize_choices( $input, $setting ) {
    global $wp_customize;
 
    $control = $wp_customize->get_control( $setting->id );
 
    if ( array_key_exists( $input, $control->choices ) ) {
        return $input;
    } else {
        return $setting->default;
    }
}

function sanitize_checkbox( $input ) {
    if ( $input == 1 ) {
        return 1;
    } else {
        return '';
    }
}

function sanitize_multi_select( $values ) {

    $multi_values = !is_array( $values ) ? explode( ',', $values ) : $values;

    return !empty( $multi_values ) ? array_map( 'sanitize_text_field', $multi_values ) : array();
}

 function sanitize_colorPicker( $value ) { 
     
    if ( preg_match( '/^#[a-f0-9]{6}$/i', $value ) ) { // if user insert a HEX color with #     
        return $value;
    }
     
    return false;
}

function sanitize_css( $css ) {
	return wp_strip_all_tags( $css );
}