<?php 
// Slider Part
$slider_dim = get_theme_mod( 'ena_slider_dim','small' );
$slider_source = get_theme_mod( 'ena_slider_source','category' );
$slider_cat = get_theme_mod( 'ena_slider_cat' );
$slider_transition = get_theme_mod( 'ena_slider_anim','fade' );
$slider_postsid = get_theme_mod( 'ena_slider_posts' );
?>

<div id="sliderPartWrap" class="magContainer">
  <div class="main-header magContainer">
    <div class="primarySlider slider-<?php echo esc_attr( $slider_dim ); ?>" >
      <div class="slider flexslider">
        <ul class="slides">

          <?php
          //Slider By Category
          if ( $slider_source == 'category' ){

            $args = array( 'category__in' => $slider_cat,'posts_per_page' => - 1, );
            $the_query = new WP_Query( $args );
            if ( $the_query->have_posts() ):while ( $the_query->have_posts() ):$the_query->the_post(); ?>

            <li class="animation_<?php echo esc_attr( $slider_transition ); ?>">
              <a href="<?php echo get_permalink(get_the_ID()); ?>">

                <?php if ( $slider_dim == 'small' ): ?>

                <?php the_post_thumbnail( 'enamag-slider-small' ); ?>

                <?php else: ?>

                  <?php the_post_thumbnail( 'enamag-slider-big' ); ?>

                <?php endif ?>

              </a>
              <div class="slider-caption">
                <h3 class="slider-title">

                <?php the_title(); ?>
                  
                </h3>
              </div>
            </li> 

            <?php
              endwhile; 
              rewind_posts(); 
              endif;

          //Slider By Post ID
          }else{

           $args = array( 
            'post__in' =>$slider_postsid,
            'posts_per_page' => -1,
            'ignore_sticky_posts' => 1, 
            );

           $the_query = new WP_Query( $args );

           if( $the_query->have_posts() ):while ( $the_query->have_posts() ) : $the_query->the_post(); ?>

           <li>
            <a href="<?php echo get_permalink( get_the_ID() ) ; ?>">

              <?php if( $slider_dim == 'small' ) :?>

               <?php the_post_thumbnail( 'enamag-slider-small' ); ?>

              <?php else:?>

                <?php the_post_thumbnail( 'enamag-slider-big' ); ?>

              <?php endif?>     

              </a>
               <div class="slider-caption">
                <h3 class="slider-title"><?php the_title(); ?></h3>
              </div>
          </li>

          <?php 
            endwhile; 
            endif; 
          }  
          ?> 

        </ul>
      </div>
    </div>

    <script type="text/javascript">
      jQuery(window).load(function(){
        jQuery('.main-header .flexslider').flexslider({
          animation: "<?php echo esc_attr( $slider_transition ); ?>",
          touch : true,
          pauseOnAction: false,    
          pauseOnHover: true,
          useCSS: true,  
          prevText:'',
          nextText:'',          
        });
      });
    </script>

    <?php if ( $slider_dim == 'small' ) : ?>

      <div class="tileBox box-6">
        <ul class="boxes">

          <?php 
        
          $tiles_color = array( '#1691BE','#166ba2','#166ba2','#D06503','#FF9308','#E9931A' );

          for ( $i=1; $i < 7 ; $i++ ) { 
            ?>
            
            <li style="background-color: <?php echo get_theme_mod( 'ena_cbox'.$i,$tiles_color[$i-1] );?>" class="coloredBox">
              <a href="<?php echo get_theme_mod( 'ena_link'.$i.'' ); ?>" target="_blank">
                <i class="boxIcon fa fa-stack <?php echo esc_attr( get_theme_mod( 'ena_icon'.$i.'', 'fa-adjust' ) ); ?>"></i>
              </a>
            </li>

            <?php } ?>  

          </ul>
        </div>
        <div class="clear"></div>

      <?php endif; ?>

    </div>
  </div>

<?php wp_reset_postdata(); ?>