<?php

//////////////////////////////////////////////////////////////////////////////
//   add settings page to menu
//////////////////////////////////////////////////////////////////////////////	 

add_action( 'admin_menu','enamag_init' );

function enamag_init(){
add_action( 'admin_enqueue_scripts', 'enamag_post_scripts' );
}

function enamag_post_scripts(){
global $pagenow;
if ( (  $pagenow == 'post-new.php' ) || (  $pagenow == 'post.php' ) ) {

//Add Button Switch Assets
wp_enqueue_script( 'bootstrap-switch', get_template_directory_uri() . '/options/js/bootstrap-switch.js' );
wp_enqueue_style( 'bootstrap-switch', get_template_directory_uri() . '/options/css/bootstrap-switch.css' );

//Add Awesome Font
wp_enqueue_style( 'font-awesome', get_template_directory_uri() . '/css/font-awesome.min.css' );

//Add Theme Options Assets
wp_enqueue_script( 'enamag-admin-options', get_template_directory_uri() . '/options/js/options.js' );
wp_enqueue_style( 'enamag-admin-style', get_stylesheet_directory_uri() . '/options/css/options.css' );

}

//Add Media Support
wp_enqueue_media();
wp_enqueue_script( 'nav-menu-php', get_template_directory_uri() . '/options/js/nav-menu-php.js' );

}

add_action("admin_init", "enamag_posts_init");

function enamag_posts_init(){
	add_meta_box( "enamag_options", __( 'EnaMag - Post Options', 'enamag' ), "enamag_options", "post", "normal", "high" );
	add_meta_box( "enamag_page_options", __( 'EnaMag - Page Options', 'enamag' ), "enamag_page_options", "page", "normal", "high" );
}

function enamag_post_options( $value = array() ){
	global $post;
	$defaults = array(
		'id' => '',
		'title' => '' ,
		'desc' => __( 'This is a default description.', 'enamag' ) ,
		'type' => 'text',
		'choices' => array() ,
		'subTitle' => '',
		'class' => ''
	);
	
	$value = wp_parse_args( $value, $defaults );
	extract( $value, EXTR_SKIP );
	$post_options = get_post_meta( $post->ID,'enamag_post_options' );

	switch ( $value['type'] ) {

	case 'radioImage':

	$i = 0;
	echo '<div  class="optionWrap ' . $value['id'] . ' radio-img"> 
	      <span class="subTitle">'.$value['subTitle'].'</span>
	      <div class="optionContent">';
		foreach( $choices as $op => $label ){

			echo '<span><input class="radio" type="radio" name="enamag_post_options['.$value['id'].']" id="' . $value['id'] . $i . '" value="'.$op.'" ' . checked( enamag_post_option($value['id'] ), $op, false) . '>
			<a href="#" class="checkbox-select ' . $value['id'] . $i . '"><img src="' . esc_url( get_template_directory_uri() ) . '/options/images/' .  $value['id'] . $i . '.png" >
			<span style="display:block;text-align: center;float:none">'. $label .'</span></a></span>';

			if ($i < count( $post_options ) - 1) ;
			$i++;
		}
	echo '<div class="clear"></div></div>';
	if ( $value['desc'] != '' ) 
	echo '<span class="description"><p style="margin:20px;">' . esc_attr( $value['desc'] ) . '</p></span></div>';
	else echo '</div>';
	break; 

	case 'radio':

	$i = 0;
	echo '<div  class="optionWrap ' . $value['id'] . '"> 
	<span class="subTitle">'.$value['subTitle'].'</span>
	<div class="optionContent">';
		foreach( $choices as $op => $label ){

			echo '<span style="margin-right:10px !important">
			<input  class="radio" type="radio" name="enamag_post_options['.$value['id'].']" id="' . $value['id'] . $i . '" value="'.$op.'" ' . checked( enamag_post_option( $value['id'] ), $op, false ) . '>
			<label class="post-format-icon  post-format-'. $label .'" post-format-image for="'.$value['id'].'">'. $label .'</label>
	        </span>';
		if ( $i < count( $post_options ) - 1 ) ;
		$i++;
	}

	echo '<div class="clear"></div></div>';
	if ( $value['desc'] != '' ) 
		echo '<span class="description"><p style="margin:20px;">' . esc_attr( $value['desc'] ) . '</p></span></div>';
	else echo '</div>';
	break;

	case 'checkbox':

	if( enamag_post_option( $value['id'] ) ){$checked = "checked=\"checked\"";  } else{$checked = "";} 

	echo '<div class="optionWrap ' . $value['id']  . ' btn_checkbox">
	<span class="subTitle">'.$value['subTitle'].'</span>
	<div class="optionContent">
	<input class="on-of" type="checkbox" name=enamag_post_options['.$value['id'] .'] id="'.$value['id'] .'" value="true" '.$checked.' ></div> ' ;
		if ( $value['desc'] != '' )
			echo '<br /><span class="description"><p>' . esc_attr( $value['desc'] ) . '</p></span></div>';
		else 
			echo '</div>';
		break;

	case 'upload':

	echo '<div class="optionWrap ' . $value['id'] . '">	  
	<span class="subTitle">'.$value['subTitle'].'</span>
	<div class="optionContent">
	<div class="' . $value['id'] . '_preview">';

			if( enamag_post_option($value['id']) ):

				echo'<img src="' . esc_url( enamag_post_option($value['id']) ) . '" class="upload_url' . $value['id'] . 'img" name="enamag_post_options['.$value['id'].']" />';
			endif;
			echo'</div>
			<div class="uploadInput">
				<input id="' . esc_attr( $value['id'] ) . '_text" type="text" class="upload_url' . $value['id'] . ' form-control" name="enamag_post_options['.$value['id'].']" value="' . esc_attr( enamag_post_option( $value['id'] ) ) . '">
				<input class="button"   type="button" id="'.$value['id'].'"  value="Upload" onclick=upload_button("'.$value['id']. '") > 
				<input class="button" type="button" onclick=remove_button("'.$value['id']. '") value="Remove">
			</div></div>';

			if ( $value['desc'] != '' ) 
				echo '<span class="description"><p style="margin:10px;">' . esc_attr( $value['desc'] ) . '</p></span></div>';
			else echo '</div>';
			break;
	}
}


function enamag_options( $post ) {

	global $post ;
	$data = get_post_meta( $post->ID,"enamag_post_options",true );

	enamag_post_options( array(
		'id' =>'sidebar_pos',
		'desc'    => __( 'Select sidebars alignment.' , 'enamag' ),
		'type'    => 'radioImage',
		'subTitle' => __( 'Main Layout:' , 'enamag' ),
		'choices' => array(
			'right' => __( 'Right', 'enamag' ),
			'noSidebar' => __( 'No Sidebar', 'enamag' ),
			'left' => __( 'Left', 'enamag' )
		)
	));

	enamag_post_options(array(
		'id' => 'post-info',
		'type'    => 'checkbox',
		'subTitle' => __( 'Post Info:' , 'enamag' ),
		'desc'    => __( 'Enable Post Info (Author, Date, Categories).', 'enamag' ),
	));

	enamag_post_options(array(
		'id' => 'next_prev_post',
		'type'    => 'checkbox',
		'subTitle' => __( 'Next Previous Posts:' , 'enamag' ),
		'desc'    => __( 'Enable Previous / Next Post Links.', 'enamag' ),
	));

	enamag_post_options(array(
		'id' => 'author_bio',
		'type'    => 'checkbox',
		'subTitle' => __( 'Author Info Box:' , 'enamag'),
		'desc'    => __( 'Display information about the author who wrote the post.', 'enamag' ),
	));

	enamag_post_options(array(
		'id' => 'related_posts',
		'type'    => 'checkbox',
		'subTitle' => __( 'Related Posts:' , 'enamag' ),
		'desc'    => __( 'Enable related posts box.', 'enamag' ),
		));
	enamag_post_options(array(
		'id' => 'postBackground',
		'desc' => __( 'Please choose an image or write an image url to use for backgroud.', 'enamag' ) ,
		'type' => 'upload',
		'subTitle' => __( 'Background image:', 'enamag' ) ,
	));

	enamag_post_options(array(
		'id' => 'bgPostposition',
		'desc' => __( 'Background position.', 'enamag' ) ,
		'subTitle' => __( 'Position :', 'enamag' ) ,
		'type' => 'radio',
		'choices' => array(
			'left' => 'Left',
			'center' => 'Center',
			'right' => 'Right',
			)
	));

	enamag_post_options(array(
		'id' => 'bgPostrepeat',
		'desc' => __( 'Background repeat.', 'enamag' ) ,
		'subTitle' => __( 'Repeat :', 'enamag' ) ,
		'type' => 'radio',
		'choices' => array(
			'tile' => __( 'Tile', 'enamag' ),
			'horizontally' => __( 'Horizontally', 'enamag' ),
			'vertically' => __( 'Vertically', 'enamag' ),
			'no-repeat' => __( 'No Repeat', 'enamag' ),
			)
	));

	enamag_post_options(array(
		'id' => 'bgPostattachement',
		'desc' => __('Background attachment.', 'enamag') ,
		'subTitle' => __('Attachement :', 'enamag') ,
		'type' => 'radio',
		'choices' => array(
			'fixed' => __( 'Fixed', 'enamag' ),
			'scroll' => __( 'Scroll', 'enamag' ),
			)
	));

}


	function enamag_page_options( $post ) {

	global $post ;
	$data = get_post_meta( $post->ID,"enamag_post_options",true ); 

	enamag_post_options(array(
		'id' =>'sidebar_pos',
		'desc'    => __( 'Select sidebars alignment.', 'enamag' ),
		'type'    => 'radioImage',
		'subTitle' => __( 'Main Layout:', 'enamag' ),
		'choices' => array(
			'right' => __( 'Right', 'enamag' ),
			'noSidebar' => __( 'No Sidebar' , 'enamag' ),
			'left' => __( 'Left' , 'enamag' ),
		)
	));
	enamag_post_options(array(
		'id' => 'postBackground',
		'desc' => __( 'Please choose an image or write an image url to use for backgroud.', 'enamag' ) ,
		'type' => 'upload',
		'subTitle' => __( 'Background image:', 'enamag' ),
	));

	enamag_post_options(array(
		'id' => 'bgPostposition',
		'desc' => __( 'Background position.', 'enamag' ),
		'subTitle' => __( 'Position :', 'enamag' ),
		'type' => 'radio',
		'choices' => array(
			'left' => __( 'Left', 'enamag' ),
			'center' => __( 'Center', 'enamag' ),
			'right' => __( 'Right', 'enamag' ),
		)
	));

	enamag_post_options(array(
		'id' => 'bgPostrepeat',
		'desc' => __( 'Background repeat.', 'enamag' ) ,
		'subTitle' => __( 'Repeat :', 'enamag' ) ,
		'type' => 'radio',
		'choices' => array(
			'tile' => __( 'Tile', 'enamag' ),
			'horizontally' => __( 'Horizontally', 'enamag' ),
			'vertically' => __( 'Vertically', 'enamag' ),
			'no-repeat' => __( 'No Repeat', 'enamag' ),
		)
	));

	enamag_post_options(array(
		'id' => 'bgPostattachement',
		'desc' => __( 'Background attachment.', 'enamag') ,
		'subTitle' => __( 'Attachement :', 'enamag') ,
		'type' => 'radio',
		'choices' => array(
			'fixed' => __( 'Fixed', 'enamag' ),
			'scroll' => __( 'Scroll', 'enamag' ),
		)
	));
}

//////////////////////////////////////////////////////////////////////////////
// Save Setting Option
//////////////////////////////////////////////////////////////////////////////
add_action( 'save_post', 'enamag_save_post' );
function enamag_save_post( $post_id ){
	global $post;
// to prevent metadata or custom fields from disappearing... 
	if ( defined( 'DOING_AUTOSAVE' ) && DOING_AUTOSAVE ) 
		return $post_id; 
// OK, we're authenticated: we need to find and save the data
	if ( isset( $_POST['enamag_post_options'] ) ){
		$data = $_POST['enamag_post_options'];
		update_post_meta( $post_id,'enamag_post_options',$data );
	}else{
		delete_post_meta( $post_id,'enamag_post_options' );
	}
}

//////////////////////////////////////////////////////////////////////////////
// Get Post Setting Option
//////////////////////////////////////////////////////////////////////////////
function enamag_post_option( $post_option ){
	global $post ;
    $post_options = get_post_meta( $post->ID,'enamag_post_options' );

	if ( isset( $post_options[0][$post_option] ) ) return $post_options[0][$post_option];
	else return false;
}

function enamag_page_option( $post_option ){
	global $post ;
    $post_options = get_post_meta( $post->ID,'enamag_post_options' );

	if ( isset( $post_options[0][$post_option] ) ) return $post_options[0][$post_option];
	else return false;
}