<?php

function enamag_css_styling() {

$theme_color =  get_theme_mod( 'ena_themeColor','#dd3333' );

//////////////////////////////////////////////////////////////////////////////
// css Style for Menu, Pagination, Sliders ...
//////////////////////////////////////////////////////////////////////////////  

//menu @media (min-width: 768px)
$menu_bgcolor =   get_theme_mod( "menu_bgColor" );
$menu_color =   get_theme_mod( "menu_color");
$menu_hover_color =   get_theme_mod( "menu_hover_color" );
$megamenu_title_color =   get_theme_mod( "megamenu_title_color" );
$dropdown_bgcolor =   get_theme_mod( "menu_dropdown_bgColor" );

  echo '<style type="text/css" class="">';    
  
  if( $theme_color )       {
    $css_primary_style_color = '    

  .more,
  .secondaryPost_icon,
  .article a,
  .separator:first-child,
  .page-numbers {
  color:'.esc_attr( $theme_color ).' ;
  }
  .primarySlider .flex-direction-nav .flex-prev,
  .primarySlider .flex-direction-nav .flex-next,
  .primarySlider .flex-control-nav li,
  #sliderPartWrap .slider-small .flexslider,
  .sliderText2,
  #news .fa-bullhorn,
  #topcontrol:hover,
  #comment-submit, 
  .submit-button,
  .widgetTitle,
  .page-numbers.current, a.page-numbers:hover {
    background-color:'.esc_attr( $theme_color ).'!important;
  }

.titlePost,.article blockquote
{
  border-left-color:'.esc_attr( $theme_color ).';
}

  #topBar,
  .contentBox,
  .postMag .article,
  #footer,.widgetTitle + * {
    border-top-color:'.esc_attr( $theme_color ).'  ;
  }

  .main-header {
    border-bottom-color:'.esc_attr( $theme_color ).'!important   ;
  }

  @media (min-width: 768px) {
  .navbar-default .navbar-nav  .open > a,
  .navbar-default .navbar-nav > .open > a, 
  .navbar-default .navbar-nav > .open > a:hover, 
  .navbar-default .navbar-nav > .open > a:focus,
  .navbar-default .navbar-nav > li > a:hover, 
  .navbar-default .navbar-nav > li > a:focus,
  .navbar-default .navbar-nav li:hover > a,
  .navbar-default .current-menu-ancestor,
  .navbar-default .current-menu-ancestor > .dropdown-toggle,
  .navbar-default .navbar-nav > .active > a, 
  .navbar-default .navbar-nav > .active > a:hover, 
  .navbar-default .navbar-nav > .active > a:focus,
  .dropdown-menu > .active > a,
  .dropdown-menu > .active > a:hover, 
  .dropdown-menu > .active > a:focus {
    background-color:'.esc_attr( $theme_color ).';
  }

}';

if( $menu_bgcolor ){
  echo '#primary-navigation
  {
     background-color:'.esc_attr( $menu_bgcolor ).';
     border-color:'.esc_attr( $menu_bgcolor ).';
  }';
}

if( $menu_color ){
  echo '#primary-navigation a,#primary-navigation .mega-menu > .dropdown-menu > li > a
  {
     color:'.esc_attr( $menu_color ).'!important;
    
  }';
}
if( $menu_hover_color ){
  echo '#primary-navigation a:hover
  {
     color:'.esc_attr( $menu_hover_color ).'!important;
    
  }';
}
// megamenu title
if( $megamenu_title_color ){
  echo '#primary-navigation .mega-menu > .dropdown-menu > li > a
  {
     color:'.esc_attr( $megamenu_title_color ).'!important;
  }';
}
if( $dropdown_bgcolor ){
  echo '#primary-navigation .dropdown-menu
  {
     background-color:'.esc_attr( $dropdown_bgcolor ).';
  }';
}

  echo ( trim( str_replace( "\n","",str_replace( "\t","",$css_primary_style_color ) ) ) );

}

if ( get_theme_mod( "background_pattern" ) && get_theme_mod( "ena_boxed" ) == true ) {
  echo '#wrapper{background-image:url('.esc_url( get_template_directory_uri() ).'/images/patterns/'.get_theme_mod( "background_pattern" ).'.png )}';
}

  if( is_singular() ):
    global $post;
        $current_post = $post->ID;
        $get_meta = get_post_custom( $post->ID ); 

// Post Background Image
$post_background = enamag_post_option( "postBackground" );
$bg_post_position = enamag_post_option( "bgPostposition" );
$bg_post_repeat =  enamag_post_option( "bgPostrepeat" );
$bg_post_attachement =  enamag_post_option( "bgPostattachement" );

if( $post_background ){
echo '#magContainer{';
if( $post_background ){echo 'background-image:url( '.esc_url( $post_background ).' );';}
if( $bg_post_position ){echo 'background-position:'.esc_attr( $bg_post_position ).';';}
if( $bg_post_repeat ){echo 'background-repeat:'.esc_attr( $bg_post_repeat ).';';}
if( $bg_post_attachement ){echo 'background-attachment:'.esc_attr( $bg_post_attachement ).';';}
echo '}';
}
endif;

 // Footer Styling 
$footer_bgcolor =   get_theme_mod( 'ena_footerBg','#333' );
$copyright_bgcolor =   get_theme_mod('ena_copyrightBg','#444' );
if( $footer_bgcolor )echo '#footer{background-color:'.esc_attr( $footer_bgcolor ).';}';
if( $copyright_bgcolor )echo '#copyright{background-color:'.esc_attr( $copyright_bgcolor ).';}';


//Boxes
$slider_background = get_theme_mod( 'ena_slider_bgImg' );
$slider_color = get_theme_mod( 'ena_slider_bgColor' );
$box_font_color = get_theme_mod( 'ena_tile_iconColor','#fff' );
$box_text_color = get_theme_mod( 'ena_tile_captionColor','#fff' );

echo '#sliderPartWrap{';

if( $slider_background ){echo 'background-image:url( '.esc_attr( $slider_background ).' );';}
if( $slider_color ){echo 'background-color:'.$slider_color.';';}

echo '}' ;
if( $box_font_color ){echo '.boxIcon{color:'.esc_attr( $box_font_color ).'!important;}';}

echo '.coloredBox-title{';
if( $box_text_color ){echo 'color:'.esc_attr( $box_text_color ).'!important;';}
echo '}';

// Slider Caption 
$slider_excerpt_bgcolor =  get_theme_mod( 'ena_slider_captionBgColor' );
$slider_text_color =  get_theme_mod( 'ena_slider_captionColor' );
$slider_google_font =  get_theme_mod( 'ena_font_slider' );

echo '.slider-caption{';

if( $slider_excerpt_bgcolor ){echo 'background-color:'.esc_attr( $slider_excerpt_bgcolor ).';';}

echo '}';

echo'.slider-excerpt,.slider-title{';

if( $slider_text_color ){echo 'color:'.esc_attr( $slider_text_color ).'!important;';}

echo '}';

echo '</style>';

//////////////////////////////////////////////////////////////////////////////
// css Style for boxed layout
//////////////////////////////////////////////////////////////////////////////

$ena_custom_css = get_theme_mod( "ena_customCss" ); 
if($ena_custom_css){
  echo '<style type="text/css">'.$ena_custom_css.'</style>';	
  }
}
add_action( 'wp_head', 'enamag_css_styling' );
