<?php

class Ena_Widget_Social extends WP_Widget {

	function __construct() {
		parent::__construct(
			'social-icons-widget', // Base ID
			__( 'Ena - Social Icons', 'enamag' ), // Widget Name
			array(
				'classname' => 'social-icons-widget',
				'description' => __('Displays a list of social media website icons and a link to your profile.', 'enamag'),
			),
			array(
				'width' => 250,
			)
		);

	global $social_accounts;
	$social_accounts = array(
		'Dribbble' => 'dribbble',
		'Email' => 'envelope-o',
		'Facebook' => 'facebook',
		'Flickr' => 'flickr',
		'Foursquare' => 'foursquare',
		'Google+' => 'google-plus',
		'Instagram' => 'instagram',
		'LinkedIn' => 'linkedin',
		'Pinterest' => 'pinterest',
		'RSS Feed' => 'rss',
		'SoundCloud' => 'soundcloud',
		'Tumblr' => 'tumblr',
		'Twitter' => 'twitter',
		'Vimeo' => 'vimeo-square',
		'WordPress' => 'wordpress',
		'YouTube' => 'youtube',
	);
}	

function form($inst) {
	global $social_accounts;
	$title = isset( $inst['title'] ) ? esc_attr( $inst['title'] ) : '';
	$background_color = isset( $inst['background_color'] ) ? esc_attr( $inst['background_color'] ) : '#FFA500 ';
		?>
<p>
	<label for="<?php echo $this->get_field_id( 'background_color' ); ?>"><?php _e( 'Border Color:', 'enamag' );?><br></label>
	<input class="color-picker" type="text" id="<?php echo $this->get_field_id( 'background_color' ); ?>" name="<?php echo $this->get_field_name( 'background_color' ); ?>" value="<?php echo  $background_color ; ?>" />                            
</p>
<p>
	<label for="<?php  echo $this->get_field_id( "title" ) ;?>"><?php _e( 'Title:', 'enamag' ); ?></label>
	<input class="widefat" value="<?php echo $title;?>" name="<?php  echo $this->get_field_name("title") ;?>" type="text" id="<?php  echo $this->get_field_id( "title" ) ;?>"/>
</p>

<ul>
	<?php foreach ( $social_accounts as $site => $id ) : 
	$inst[$id] = isset( $inst[$id] ) ? esc_attr( $inst[ $id] ) : '';?>

		<li>
		<label for="<?php echo $this->get_field_id($id); ?>" class="<?php echo $id; ?>"><?php echo $site; ?>:</label>
		<input class="widefat" type="text" id="<?php echo $this->get_field_id( $id ); ?>" name="<?php echo $this->get_field_name( $id ); ?>" value="<?php echo esc_attr( $inst[ $id] ); ?>" />
		</li>
	<?php endforeach; ?>
</ul>	
<?php
}

function update( $new_instance, $old_instance ) {
	$instance = $old_instance;
	global $social_accounts;
	$instance['title'] = strip_tags( $new_instance['title'] );
	$instance['background_color'] = $new_instance['background_color'];
		//$instance = array();

	foreach ( $social_accounts as $site => $id ) {
		$instance[$id] = $new_instance[$id];
	}
	return $instance;
}

function widget($args, $inst) {
	extract( $args );
	$color = isset( $inst['background_color'] ) ? esc_attr( $inst['background_color'] ) : '#FFA500 ';
	$title = isset( $inst['title'] ) ? esc_attr( $inst['title'] ) : '';
	$title = apply_filters( 'widget_title', $title, $inst, $this->id_base );
	echo $before_widget; ?>

	  	  <h4 class="widgetTitle" style="background:<?php echo $color ; ?>!important">

  			<?php if ( $title && !empty( $title ) ){ ?>

  				<?php echo '<span>'.$title.'</span>' ;

          }
  				 echo '</h4>'; 
  			?>
<div class="widgetBody" style="border-color:<?php echo $color.' transparent' ; ?>">

<ul class='social-accounts'>
<?php 
	global $social_accounts;

	foreach ( $social_accounts as $key => $value ) {
		if ( $inst[$value] != '') {?>
			<li class="<?php echo $value; ?>"><a href="<?php echo $inst[$value] ; ?>" class="fa fa-<?php echo $value ; ?>"></a></li>
		<?php }
	}

	 ?>
</ul>
</div>

<?php 
 echo $after_widget;
 }
}

add_action( 'widgets_init', 'ena_widget_social' );
function ena_widget_social() {
  register_widget( 'Ena_Widget_Social' );
}
