<?php

// Widget class
class Ena_Widget_Thumb_Simple extends WP_Widget{

/*-----------------------------------------------------------------------------------*/
/*  Widget Setup
/*-----------------------------------------------------------------------------------*/
public function __construct() {
    parent::__construct(
      'thumb_simple_widget', // Base ID
      __( 'Ena - Posts Thumbnails (Vertical)', 'enamag' ), // Widget Name
      array(
        'classname' => 'widget-ajax-preview',
        'description' => __( 'Load post excerpt preview by Thumbnail.', 'enamag' ),
      ),
      array(
        'width' => 250,
      )
    );

  }
/*-----------------------------------------------------------------------------------*/
/*  Display Widget
/*-----------------------------------------------------------------------------------*/

  /**
   * Widget output.
   *
   * @since  1.0
   *
   * @access public
   * @param  array $args
   * @param  array $inst
   */
  public function widget( $args,$inst ){

    extract($args);
    // Background Title Color
    $color = isset( $inst['background_color'] ) ? esc_attr( $inst['background_color'] ) : '#FFA500';
    $title = isset( $inst['title'] ) ? esc_attr( $inst['title'] ) : '';
    $title = apply_filters( 'widget_title', $title, $inst, $this->id_base );
    $offset = $cats_id = $sec_posts = $nbr_posts = null;
  if (! empty( $inst['offset'] ) ) { $offset = esc_attr( $inst['offset'] ); }
    if (! empty( $inst['cats_id'] ) ) { $cats_id = esc_attr( $inst['cats_id'] ); }
    if (! empty( $inst['nbr_posts'] )) { $nbr_posts = esc_attr( $inst['nbr_posts'] ); }
    if (! empty( $inst['sec_posts'] )) { $sec_posts = esc_attr( $inst['sec_posts'] ); }

    echo $before_widget;?>
    
     <h4 class="widgetTitle" style="background:<?php echo $color ; ?>!important">

        <?php if ( $title && !empty( $title ) ){ ?>

          <?php echo '<span>'.$title.'</span>' ;

          }
           echo '</h4>'; 
      $cat_query = new WP_Query(
        array(
          'posts_per_page'      =>       1,
          'cat'                 =>       $cats_id,
          'ignore_sticky_posts' => 1,
          'offset'=>$offset,

          )
        ); 

        if ( $cat_query->have_posts() ): while ( $cat_query->have_posts() ) : $cat_query->the_post() ?>    
            <div class="widgetBody" style="border-color:<?php echo $color.' transparent' ; ?>"> 
              <div class="primaryPost">
                <div class="excerpt-img">
                  <a href='<?php the_permalink(); ?>' title='<?php the_title_attribute(); ?>' >
                    <?php the_post_thumbnail('enamag-widget'); ?>
                  </a>
                  <a href="<?php the_post_thumbnail_url(); ?>" class="prettyPhoto" title="<?php the_title_attribute(); ?>" >
                    <div class="tumbOptions magOpacity">
                      <span class='fa fa-arrows-alt'></span></div>
                    </a>
                  </div>
                  <div class="post-contentPrimary">

                    <?php
                    the_title( '<h3 class="post-titlePrimary"><a href="' . esc_url( get_permalink() ) . '">', '</a></h3>' );
                    ?>

                    <span class="box-meta">
                      <?php enamag_post_meta() ?>

                    </span>
                  </div>

                  <?php the_excerpt(); ?>

                </div> 

            <?php 
            endwhile; 
            rewind_posts(); 
            endif; 

        //Mini Box-->

          global $post;
          $args = array(
          'numberposts' => $nbr_posts,
          'cat' =>  $cats_id,
          'offset' => $offset,
          );

        $myposts = get_posts( $args );
        ?>
        <?php  if ( $sec_posts AND $sec_posts == '1' ) { ?>

        <ul class="miniBoxWrap" style="margin-top:5px;">

         <?php foreach ( $myposts as $post ) : setup_postdata( $post ); ?>

          <li  id="post-<?php echo uniqid().'-';the_ID(); ?>" class="miniBoxThumbnail">
             <?php the_post_thumbnail('enamag-thumb'); ?>
          </li>  

         <?php 
           endforeach; 
           wp_reset_postdata();
         ?>

       </ul>

    <?php } ?>

 </div><!--widgetBody-->

 <?php
 echo $after_widget;
}

/**
   * Saves widget settings.
   *
   * @since  1.0
   *
   * @access public
   * @param  array $new_instance
   * @param  array $old_instance
   * @return array
   */
public function update( $new_instance,$old_instance ){
  $instance = $old_instance;
  $instance['title'] = strip_tags( $new_instance['title'] );
  $instance['cats_id'] = implode(',' , $new_instance['cats_id']  );
  $instance['nbr_posts'] = strip_tags( $new_instance['nbr_posts'] );
  $instance['offset'] = (int)$new_instance['offset'];
  $instance['sec_posts'] = (bool) $new_instance['sec_posts'];
  $instance['background_color'] = $new_instance['background_color'];

     return $instance;
}

public function form( $inst ){
  // Defaults
  $title = isset( $inst['title'] ) ? esc_attr( $inst['title'] ) : '';
  $background_color = isset( $inst['background_color'] ) ? esc_attr( $inst['background_color'] ) : '#FFA500';
  $nbr_posts = isset( $inst['nbr_posts'] ) ? esc_attr( $inst['nbr_posts'] ) : '6';
  $sec_posts = isset( $inst['sec_posts'] ) ? (bool) $inst['sec_posts']  : '';
  $offset = isset( $inst['offset'] ) ? esc_attr( $inst['offset'] ) : '0';
  $category = isset( $inst['cats_id'] ) ? esc_attr( $inst['cats_id'] ) : '';
  $cats_id = explode ( ',' , $category ) ;
  $categories_obj = get_categories();
  $categories = array();

  foreach ( $categories_obj as $pn_cat ) {
    $categories[$pn_cat->cat_ID] = $pn_cat->cat_name;
  }
  ?>

  <p>
    <label for="<?php echo $this->get_field_id( 'background_color' ); ?>"><?php _e( 'Border Color:', 'enamag' );?><br></label>
    <input class="widefat color-picker" type="text" id="<?php echo $this->get_field_id( 'background_color' ); ?>" name="<?php echo $this->get_field_name( 'background_color' ); ?>" value="<?php echo  $background_color ; ?>" />                            
  </p>
  <p>
    <label for="<?php  echo $this->get_field_id("title") ;?>"><?php _e( 'Title:', 'enamag' ); ?></label>
    <input class="widefat" value="<?php echo $title;?>" name="<?php  echo $this->get_field_name( "title" ) ;?>" type="text" id="<?php  echo $this->get_field_id("title") ;?>"/>
  </p>
  <p>
    <label for="<?php echo $this->get_field_id( 'cats_id' ); ?>"><?php _e( 'Select Category:', 'enamag' );?></label><br>
    <select class="widefat" multiple="multiple" id="<?php echo $this->get_field_id( 'cats_id' ); ?>[]" name="<?php echo $this->get_field_name( 'cats_id' ); ?>[]">
      <?php foreach ($categories as $key => $option) { ?>
      <option value="<?php echo $key ?>" <?php if ( in_array( $key , $cats_id ) ) { echo ' selected="selected"' ; } ?>><?php echo $option.' ( '.get_category_by_slug($option)->count.' Post(s) )'; ?></option>
      <?php  } ?>
    </select>
  </p>
  <p>
    <label for="<?php  echo $this->get_field_id( "offset" ) ;?>"><?php _e( 'Offset (Number of posts to pass over):', 'enamag' ); ?></label>
    <input  value="<?php echo $offset;?>" type="text" size="3" name="<?php  echo $this->get_field_name("offset") ;?>" id="<?php  echo $this->get_field_id("offset") ;?>" />
  </p>
  <p>
    <label for="<?php  echo $this->get_field_id( "sec_posts" ) ;?>"><?php _e( 'Secondary Posts:', 'enamag' );?> </label>
    <input <?php checked( $sec_posts ); ?> value="1" type="checkbox"  name="<?php  echo $this->get_field_name( "sec_posts" ) ;?>" id="<?php  echo $this->get_field_id( "sec_posts" ) ;?>" />
  </p>
  <p>
    <label for="<?php  echo $this->get_field_id( "nbr_posts" ) ;?>"><?php _e( 'Number of posts to show:', 'enamag' ); ?></label>
    <input size="3" value="<?php echo $nbr_posts ;?>" type="text" name="<?php  echo $this->get_field_name( "nbr_posts" ) ;?>" id="<?php  echo $this->get_field_id( "nbr_posts" ) ;?>" />
  </p>
 

 <?php

 }
}

add_action( 'widgets_init', 'ena_widget_thumb_simple' );
function ena_widget_thumb_simple() {
  register_widget( 'Ena_Widget_Thumb_Simple' );
}
